using System.Text.Json.Serialization;
using System.Collections.Generic;
using Topsdk.Util;

namespace Topsdk.Top.Ability865.Request;

public class TaobaoOpenAccountTokenValidateRequest : AbstractTopApiRequest
{

    /*
        token
            */
    private string? paramToken;


    [JsonPropertyName("param_token")]
    public string? ParamToken
    {
        get => paramToken;
        set => this.paramToken = value;
    }



    public override IDictionary<string, string> ToRequestParam()
    {
        IDictionary<string, string> requestParam = new Dictionary<string, string>();
        if(this.paramToken != null)
        {
            requestParam.Add("param_token",TopUtils.ConvertBasicType(this.paramToken));
        }
        return requestParam;
    }

    public override IDictionary<string, TopFileItem> ToFileParam()
    {
        IDictionary<string, TopFileItem> fileParam = new Dictionary<string, TopFileItem>();
        return fileParam;
    }

    public override string GetApiCode()
    {
        return "taobao.open.account.token.validate";
    }

}

